#include "collision_manager_alg.h"

CollisionManagerAlgorithm::CollisionManagerAlgorithm(void)
{
  pthread_mutex_init(&this->access_,NULL);
}

CollisionManagerAlgorithm::~CollisionManagerAlgorithm(void)
{
  pthread_mutex_destroy(&this->access_);
}

void CollisionManagerAlgorithm::config_update(Config& config, uint32_t level)
{
  this->lock();

  // save the current configuration
  this->config_=config;
  
  this->unlock();
}

// CollisionManagerAlgorithm Public API
